Subject: Re: [bug#32692] Update LibreOffice to 6.1.0.3

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Sep 2018 17:47:51 +0200

Hi,

Jonathan Brielmaier <[email-masked]> skribis:

> I'm a little unsure if I have choosen the correct license for libnumbertext
> https://github.com/numbertext/libnumbertext/

AFAICS it’s BSD-3 + LGPLv3+.

> From 2fb37ecc93ae0dfa42f99a5a6f73a71113bc0f42 Mon Sep 17 00:00:00 2001
> From: Jonathan Brielmaier <[email-masked]>
> Date: Tue, 11 Sep 2018 07:58:36 +0200
> Subject: [PATCH 1/2] gnu: Add libnumbertext.
>
> * gnu/packages/libreoffice.scm (libnumbertext): New public variable.

Applied with these changes:

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index 217e95126..d81f8aa79 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -33,7 +33,7 @@
   #:use-module (guix download)
   #:use-module ((guix licenses)
                 #:select (gpl2+ lgpl2.1+ lgpl3+ mpl1.1 mpl2.0
-                          non-copyleft x11-style bsd-2))
+                          non-copyleft x11-style bsd-3))
   #:use-module (guix packages)
   #:use-module (guix utils)
   #:use-module (ice-9 match)
@@ -547,10 +547,12 @@ Microsoft Publisher documents of all versions.")
        ("libtool" ,libtool)
        ("pkg-config" ,pkg-config)))
     (home-page "https://github.com/Numbertext/libnumbertext")
-    (synopsis "Language-neutral NUMBERTEXT and MONEYTEXT functions")
-    (description "Language-neutral NUMBERTEXT and MONEYTEXT functions for
-LibreOffice Calc, available for C++ and Java.")
-    (license (list lgpl3+ bsd-2))))
+    (synopsis "Language-neutral @code{NUMBERTEXT} and @code{MONEYTEXT} functions")
+    (description
+     "The libnumbertext library provides language-neutral @code{NUMBERTEXT}
+and @code{MONEYTEXT} functions for LibreOffice Calc, available for C++ and
+Java.")
+    (license (list lgpl3+ bsd-3))))
 
 (define-public libpagemaker
   (package

> From d00a06c9edb50759eb7228a1581c4ef9bc313e5d Mon Sep 17 00:00:00 2001
> From: Jonathan Brielmaier <[email-masked]>
> Date: Tue, 11 Sep 2018 07:59:11 +0200
> Subject: [PATCH 2/2] gnu: libreoffice: Update to 6.1.0.3.
>
> * gnu/packages/libreoffice.scm (libreoffice): Update to 6.1.0.3.
> [source]: Correct indenting.
> [inputs]: Add libnumbertext and python-lxml.

Pushed as 52b0a352c376eaed4ae7cf109f66538d6ac0a859.

I speculatively chose to push it without waiting for the build to
complete.  If it turns out to break, we should revert it and work from
there.

Thanks!

Ludo’.